import { AbstractSession, IHandlerParameters, IProfile } from "@zowe/imperative";
import { ICMCIApiResponse } from "../../../api";
import { CicsBaseHandler } from "../../CicsBaseHandler";
/**
 * Command handler for adding CICS CSD Groups to CSD Lists via CMCI
 * @export
 * @class CSDGroupHandler
 * @implements {ICommandHandler}
 */
export default class CSDGroupHandler extends CicsBaseHandler {
    processWithSession(params: IHandlerParameters, session: AbstractSession, profile: IProfile): Promise<ICMCIApiResponse>;
}
