/**
 * Utility function for constructing a query string out of an object
 * @param {object} parms - parameters for querying
 * @param {object} defaults - default values for querying
 * @param {object} aliases - aliases for querying
 * @returns {string} query string constructed from
 */
export declare function getQueryFromParms(parms?: {
    [key: string]: string;
}, defaults?: {
    [key: string]: any;
}, aliases?: {
    [key: string]: string;
}): string;
