import { IHandlerParameters } from "@zowe/imperative";
import { IIMSApiResponse, ImsSession } from "../../../api";
import { ImsBaseHandler } from "../../ImsBaseHandler";
/**
 * Command handler for updating IMS programs
 * @export
 * @class ProgramHandler
 * @implements {ICommandHandler}
 */
export default class ProgramHandler extends ImsBaseHandler {
    processWithSession(params: IHandlerParameters, session: ImsSession): Promise<IIMSApiResponse>;
}
